## cockpit-machines 243

=== debian/changelog ===
cockpit-machines (243-1) experimental; urgency=medium

  * New upstream release:
    - PatternFly 4 updates
    - Translation updates
    - Correctly manage editing of unknown bus type

 -- Martin Pitt <mpitt@debian.org>  Wed, 14 Apr 2021 13:54:06 +0200

cockpit-machines (241-1) experimental; urgency=medium

  * Upstream project/source package got split out from cockpit.
    (Closes: #985768)

 -- Martin Pitt <mpitt@debian.org>  Tue, 23 Mar 2021 09:31:23 +0100

## cockpit-machines 248

=== debian/changelog ===
cockpit-machines (248-1~ubuntu21.04.1) hirsute-backports; urgency=medium

  * No-change backport to hirsute

 -- Martin Pitt <mpitt@debian.org>  Tue, 27 Jul 2021 10:19:06 +0200

cockpit-machines (248-1) experimental; urgency=medium

  * New upstream release.

 -- Martin Pitt <mpitt@debian.org>  Mon, 26 Jul 2021 18:45:24 +0200

## cockpit-machines 249

=== debian/changelog ===
cockpit-machines (249-1) experimental; urgency=medium

  * New upstream release:
    - Lots of bug fixes
    - Translation updates

 -- Martin Pitt <mpitt@debian.org>  Wed, 04 Aug 2021 10:02:06 +0200

## cockpit-machines 254

=== Makefile ===
# extract name from package.json
PACKAGE_NAME := $(shell awk '/"name":/ {gsub(/[",]/, "", $$2); print $$2}' package.json)
RPM_NAME := cockpit-$(PACKAGE_NAME)
VERSION := $(shell T=$$(git describe 2>/dev/null) || T=1; echo $$T | tr '-' '.')
ifeq ($(TEST_OS),)
TEST_OS = fedora-34
endif
export TEST_OS
TARFILE=cockpit-$(PACKAGE_NAME)-$(VERSION).tar.xz
NODE_CACHE=cockpit-$(PACKAGE_NAME)-node-$(VERSION).tar.xz
RPMFILE=$(shell rpmspec -D"VERSION $(VERSION)" -q `ls cockpit-machines.spec.in cockpit-machines.spec 2>/dev/null | head -n1`).rpm
VM_IMAGE=$(CURDIR)/test/images/$(TEST_OS)
# stamp file to check if/when npm install ran
NODE_MODULES_TEST=node_modules/.bin/webpack
# one example file in dist/ from webpack to check if that already ran
WEBPACK_TEST=dist/manifest.json
# one example file in src/lib to check if it was already checked out
LIB_TEST=src/lib/cockpit-po-plugin.js

WEBLATE_REPO=tmp/weblate-repo
WEBLATE_REPO_URL=https://github.com/cockpit-project/cockpit-machines-weblate.git
WEBLATE_REPO_BRANCH=main

PYTHONFILES=$(shell git grep -lI '^#!.*python') $(shell git ls-tree -r --name-only HEAD | grep '\.py')

all: $(WEBPACK_TEST)

#
# i18n
#

LINGUAS=$(basename $(notdir $(wildcard po/*.po)))

po/$(PACKAGE_NAME).js.pot:
	xgettext --default-domain=cockpit --output=$@ --language=C --keyword= \
		--keyword=_:1,1t --keyword=_:1c,2,1t --keyword=C_:1c,2 \
		--keyword=N_ --keyword=NC_:1c,2 \
		--keyword=gettext:1,1t --keyword=gettext:1c,2,2t \
		--keyword=ngettext:1,2,3t --keyword=ngettext:1c,2,3,4t \
		--keyword=gettextCatalog.getString:1,3c --keyword=gettextCatalog.getPlural:2,3,4c \
		--from-code=UTF-8 $$(find src/ -name '*.js' -o -name '*.jsx')

po/$(PACKAGE_NAME).html.pot: $(NODE_MODULES_TEST)
	po/html2po -o $@ $$(find src -name '*.html')

po/$(PACKAGE_NAME).manifest.pot: $(NODE_MODULES_TEST)
	po/manifest2po src/manifest.json -o $@

po/$(PACKAGE_NAME).pot: po/$(PACKAGE_NAME).html.pot po/$(PACKAGE_NAME).js.pot po/$(PACKAGE_NAME).manifest.pot
	msgcat --sort-output --output-file=$@ $^

# Update translations against current PO template
update-po: po/$(PACKAGE_NAME).pot
	for lang in $(LINGUAS); do \
		msgmerge --output-file=po/$$lang.po po/$$lang.po $<; \
	done

$(WEBLATE_REPO):
	git clone --depth=1 -b $(WEBLATE_REPO_BRANCH) $(WEBLATE_REPO_URL) $(WEBLATE_REPO)

upload-pot: po/$(PACKAGE_NAME).pot $(WEBLATE_REPO)
	cp ./po/$(PACKAGE_NAME).pot $(WEBLATE_REPO)
	git -C $(WEBLATE_REPO) commit -m "Update source file" -- $(PACKAGE_NAME).pot
	git -C $(WEBLATE_REPO) push

clean-po:
	rm ./po/*.po

download-po: $(WEBLATE_REPO)
	cp $(WEBLATE_REPO)/*.po ./po/

#
# Build/Install/dist
#

%.spec: %.spec.in
	sed -e 's/%{VERSION}/$(VERSION)/g' $< > $@

$(WEBPACK_TEST): $(LIB_TEST) $(shell find src/ -type f) package.json webpack.config.js
	test/download-dist $${DOWNLOAD_DIST_OPTIONS:-} || \
	    if [ -z "$$FORCE_DOWNLOAD_DIST" ]; then \
		($(MAKE) $(NODE_MODULES_TEST) && NODE_ENV=$(NODE_ENV) node_modules/.bin/webpack); \
	    else \
		exit 1; \
	    fi

watch:
	NODE_ENV=$(NODE_ENV) node_modules/.bin/webpack --watch

clean:
	rm -rf dist/
	[ ! -e $(RPM_NAME).spec.in ] || rm -f $(RPM_NAME).spec

install: $(WEBPACK_TEST)
	mkdir -p $(DESTDIR)/usr/share/cockpit/$(PACKAGE_NAME)
	cp -r dist/* $(DESTDIR)/usr/share/cockpit/$(PACKAGE_NAME)
	mkdir -p $(DESTDIR)/usr/share/metainfo/
	cp org.cockpit-project.$(PACKAGE_NAME).metainfo.xml $(DESTDIR)/usr/share/metainfo/

# this requires a built source tree and avoids having to install anything system-wide
devel-install: $(WEBPACK_TEST)
	mkdir -p ~/.local/share/cockpit
	ln -s `pwd`/dist ~/.local/share/cockpit/$(PACKAGE_NAME)

dist: $(TARFILE)
	@ls -1 $(TARFILE)

# when building a distribution tarball, call webpack with a 'production' environment
# we don't ship node_modules for license and compactness reasons; we ship a
# pre-built dist/ (so it's not necessary) and ship package-lock.json (so that
# node_modules/ can be reconstructed if necessary)
$(TARFILE): export NODE_ENV=production
$(TARFILE): $(WEBPACK_TEST) $(RPM_NAME).spec
	tar --xz -cf $(TARFILE) --transform 's,^,cockpit-$(PACKAGE_NAME)/,' \
		--exclude $(RPM_NAME).spec.in \
		--exclude test/reference \
		$$(git ls-files) src/lib/ package-lock.json $(RPM_NAME).spec dist/; \

$(NODE_CACHE): $(NODE_MODULES_TEST)
	tar --xz -cf $@ node_modules

node-cache: $(NODE_CACHE)

srpm: $(TARFILE) $(RPM_NAME).spec
	rpmbuild -bs \
	  --define "_sourcedir `pwd`" \
	  --define "_srcrpmdir `pwd`" \
	  $(RPM_NAME).spec

rpm: $(RPMFILE)

$(RPMFILE): $(TARFILE) $(RPM_NAME).spec
	mkdir -p "`pwd`/output"
	mkdir -p "`pwd`/rpmbuild"
	rpmbuild -bb \
	  --define "_sourcedir `pwd`" \
	  --define "_specdir `pwd`" \
	  --define "_builddir `pwd`/rpmbuild" \
	  --define "_srcrpmdir `pwd`" \
	  --define "_rpmdir `pwd`/output" \
	  --define "_buildrootdir `pwd`/build" \
	  $(RPM_NAME).spec
	find `pwd`/output -name '*.rpm' -printf '%f\n' -exec mv {} . \;
	rm -r "`pwd`/rpmbuild"
	rm -r "`pwd`/output" "`pwd`/build"
	# sanity check
	test -e "$(RPMFILE)"

# determine what to depend on and do for Fedora/RHEL/Debian VM preparation
ifneq ($(filter debian-% ubuntu-%,$(TEST_OS)),)
VM_DEP=$(TARFILE) packaging/debian/rules packaging/debian/control
VM_PACKAGE=--upload `pwd`/$(TARFILE):/var/tmp/ --upload `pwd`/packaging/debian:/var/tmp/
else
VM_DEP=$(RPMFILE)
VM_PACKAGE=--no-network --upload `pwd`/$(RPMFILE):/var/tmp/
endif

# build a VM with locally built rpm/dsc installed
$(VM_IMAGE): $(VM_DEP) $(RPMFILE) bots
	rm -f $(VM_IMAGE) $(VM_IMAGE).qcow2
	bots/image-customize -v $(VM_PACKAGE) -s $(CURDIR)/test/vm.install $(TEST_OS)

# convenience target for the above
vm: $(VM_IMAGE)
	echo $(VM_IMAGE)

# run static code checks for python code
codecheck:
	python3 -m pyflakes $(PYTHONFILES)
	python3 -m pycodestyle --max-line-length=195 $(PYTHONFILES) # TODO: Fix long lines

# run the browser integration tests; skip check for SELinux denials
check: $(NODE_MODULES_TEST) $(VM_IMAGE) test/common test/reference
	test/common/run-tests

# checkout Cockpit's bots for standard test VM images and API to launch them
# must be from main, as only that has current and existing images; but testvm.py API is stable
# support CI testing against a bots change
bots:
	git clone --quiet --reference-if-able $${XDG_CACHE_HOME:-$$HOME/.cache}/cockpit-project/bots https://github.com/cockpit-project/bots.git
	if [ -n "$$COCKPIT_BOTS_REF" ]; then git -C bots fetch --quiet --depth=1 origin "$$COCKPIT_BOTS_REF"; git -C bots checkout --quiet FETCH_HEAD; fi
	@echo "checked out bots/ ref $$(git -C bots rev-parse HEAD)"

# checkout Cockpit's test API; this has no API stability guarantee, so check out a stable tag
# when you start a new project, use the latest release, and update it from time to time
test/common:
	flock Makefile sh -ec '\
	    git fetch --depth=1 https://github.com/cockpit-project/cockpit.git 253; \
	    git checkout --force FETCH_HEAD -- test/common; \
	    git reset test/common'

test/reference: test/common
	test/common/pixel-tests pull

# checkout Cockpit's PF/React/build library; again this has no API stability guarantee, so check out a stable tag
$(LIB_TEST):
	flock Makefile sh -ec '\
	    git fetch --depth=1 https://github.com/cockpit-project/cockpit.git 253; \
	    git checkout --force FETCH_HEAD -- pkg/lib; \
	    git reset -- pkg/lib'
	mv pkg/lib src/ && rmdir -p pkg

$(NODE_MODULES_TEST): package.json
	# if it exists already, npm install won't update it; force that so that we always get up-to-date packages
	rm -f package-lock.json
	# unset NODE_ENV, skips devDependencies otherwise
	env -u NODE_ENV npm install
	env -u NODE_ENV npm prune

.PHONY: all clean install devel-install dist node-cache srpm rpm check vm update-po

## cockpit-machines 250

=== debian/changelog ===
cockpit-machines (250-1~ubuntu21.04.1) hirsute-backports; urgency=medium

  * No-change backport to hirsute

 -- Martin Pitt <mpitt@debian.org>  Mon, 23 Aug 2021 14:11:09 +0200

cockpit-machines (250-1) unstable; urgency=medium

  * New upstream release:
    - Shared directories can be removed from a VM

 -- Martin Pitt <mpitt@debian.org>  Sun, 22 Aug 2021 08:03:26 +0200

=== debian/control ===
Source: cockpit-machines
Section: admin
Priority: optional
Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
Uploaders: Michael Biebl <biebl@debian.org>,
           Martin Pitt <mpitt@debian.org>,
Build-Depends: debhelper-compat (= 12),
Standards-Version: 4.5.1
Homepage: https://github.com/cockpit-project/cockpit-machines
Vcs-Git: https://salsa.debian.org/debian/cockpit-machines.git
Vcs-Browser: https://salsa.debian.org/debian/cockpit-machines

Package: cockpit-machines
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         cockpit-bridge (>= 215),
         libvirt-daemon-system,
         libvirt-clients | libvirt-bin,
         libvirt-dbus
Recommends: virtinst, python3-gi, gir1.2-libosinfo-1.0, qemu-block-extra
Description: Cockpit user interface for virtual machines
 The Cockpit Web Console enables users to administer GNU/Linux servers using a
 web browser.
 .
 This package adds an user interface for managing virtual machines.
 .
 If the "virtinst" package is installed, you can also create new virtual
 machines.

## cockpit-machines 251

=== debian/changelog ===
cockpit-machines (251-1~ubuntu21.04.1) hirsute-backports; urgency=medium

  * No-change backport to hirsute

 -- Martin Pitt <mpitt@debian.org>  Fri, 10 Sep 2021 07:08:15 +0200

cockpit-machines (251-1) unstable; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Wed, 01 Sep 2021 18:37:21 +0200

## cockpit-machines 253

=== debian/changelog ===
cockpit-machines (253-1~bpo11+1) bullseye-backports; urgency=medium

  * No-change backport to Debian Bullseye (Closes: #995693)

 -- Martin Pitt <mpitt@debian.org>  Thu, 07 Oct 2021 09:09:36 +0200

cockpit-machines (253-1) unstable; urgency=medium

  * New upstream version 252:
    - Add support for renaming VMs
  * New upstream version 253:
    - Support adding and removing host devices
  * debian/watch: Move to *.xz tarballs

 -- Martin Pitt <mpitt@debian.org>  Thu, 30 Sep 2021 07:55:15 +0200

## cockpit-machines 254

=== debian/changelog ===
cockpit-machines (254-1) unstable; urgency=medium

  * New upstream version 254:
    - Support configuring static MAC IP address mappings

 -- Martin Pitt <mpitt@debian.org>  Wed, 13 Oct 2021 14:54:23 +0200

## cockpit-machines 255

=== debian/changelog ===
cockpit-machines (255-1~bpo11+1) bullseye-backports; urgency=medium

  * No-change backport to Debian Bullseye

 -- Martin Pitt <mpitt@debian.org>  Thu, 04 Nov 2021 10:07:30 +0100

cockpit-machines (255-1) unstable; urgency=medium

  * New upstream version 255:
    - Translation updates

 -- Martin Pitt <mpitt@debian.org>  Wed, 27 Oct 2021 14:44:45 +0200

## cockpit-machines 256

=== Makefile ===
--- 
+++ 
@@ -151,8 +151,13 @@
 VM_DEP=$(TARFILE) packaging/debian/rules packaging/debian/control
 VM_PACKAGE=--upload `pwd`/$(TARFILE):/var/tmp/ --upload `pwd`/packaging/debian:/var/tmp/
 else
+ifneq ($(filter arch,$(TEST_OS)),)
+VM_DEP=$(TARFILE) packaging/arch/PKGBUILD
+VM_PACKAGE=--upload `pwd`/$(TARFILE):/var/tmp/ --upload `pwd`/packaging/arch:/var/tmp/
+else
 VM_DEP=$(RPMFILE)
 VM_PACKAGE=--no-network --upload `pwd`/$(RPMFILE):/var/tmp/
+endif
 endif
 
 # build a VM with locally built rpm/dsc installed

=== debian/changelog ===
cockpit-machines (256-1~bpo21.10.1) impish-backports; urgency=medium

  * No-change backport to impish

 -- Martin Pitt <mpitt@debian.org>  Thu, 11 Nov 2021 07:36:50 +0100

cockpit-machines (256-1) unstable; urgency=medium

  * New upstream version 256:
    - Support selecting between consoles of the same type

 -- Martin Pitt <mpitt@debian.org>  Wed, 10 Nov 2021 13:53:48 +0100

## cockpit-machines 258

=== Makefile ===
--- 
+++ 
@@ -149,7 +149,7 @@
 # determine what to depend on and do for Fedora/RHEL/Debian VM preparation
 ifneq ($(filter debian-% ubuntu-%,$(TEST_OS)),)
 VM_DEP=$(TARFILE) packaging/debian/rules packaging/debian/control
-VM_PACKAGE=--upload `pwd`/$(TARFILE):/var/tmp/ --upload `pwd`/packaging/debian:/var/tmp/
+VM_PACKAGE=--no-network --upload `pwd`/$(TARFILE):/var/tmp/ --upload `pwd`/packaging/debian:/var/tmp/
 else
 ifneq ($(filter arch,$(TEST_OS)),)
 VM_DEP=$(TARFILE) packaging/arch/PKGBUILD
@@ -190,7 +190,7 @@
 # when you start a new project, use the latest release, and update it from time to time
 test/common:
 	flock Makefile sh -ec '\
-	    git fetch --depth=1 https://github.com/cockpit-project/cockpit.git 253; \
+	    git fetch --depth=1 https://github.com/cockpit-project/cockpit.git 8b00034ff0aa0dc8014aef32067559ccfb88afb2; \
 	    git checkout --force FETCH_HEAD -- test/common; \
 	    git reset test/common'
 
@@ -200,7 +200,7 @@
 # checkout Cockpit's PF/React/build library; again this has no API stability guarantee, so check out a stable tag
 $(LIB_TEST):
 	flock Makefile sh -ec '\
-	    git fetch --depth=1 https://github.com/cockpit-project/cockpit.git 253; \
+	    git fetch --depth=1 https://github.com/cockpit-project/cockpit.git 257; \
 	    git checkout --force FETCH_HEAD -- pkg/lib; \
 	    git reset -- pkg/lib'
 	mv pkg/lib src/ && rmdir -p pkg

=== debian/changelog ===
cockpit-machines (258-1~bpo11+1) bullseye-backports; urgency=medium

  * No-change backport to Debian Bullseye

 -- Martin Pitt <mpitt@debian.org>  Wed, 15 Dec 2021 07:29:49 +0100

cockpit-machines (258-1) unstable; urgency=medium

  * New upstream version 258:
    - Move storage pool actions outside of the expanded row
    - Move the 'Overview' tab content from the network rows to the expanded
      row directly

 -- Martin Pitt <mpitt@debian.org>  Thu, 09 Dec 2021 17:18:03 +0100

## cockpit-machines 259

=== Makefile ===
--- 
+++ 
@@ -190,7 +190,7 @@
 # when you start a new project, use the latest release, and update it from time to time
 test/common:
 	flock Makefile sh -ec '\
-	    git fetch --depth=1 https://github.com/cockpit-project/cockpit.git 8b00034ff0aa0dc8014aef32067559ccfb88afb2; \
+	    git fetch --depth=1 https://github.com/cockpit-project/cockpit.git 3fbaa50dc294f361b670e4206ee9006f9526687e; \
 	    git checkout --force FETCH_HEAD -- test/common; \
 	    git reset test/common'

=== debian/changelog ===
cockpit-machines (259-1~bpo21.10.1) impish-backports; urgency=medium

  * No-change backport to impish

 -- Martin Pitt <mpitt@debian.org>  Sun, 09 Jan 2022 11:43:40 +0100

cockpit-machines (259-1) unstable; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Wed, 05 Jan 2022 13:16:16 +0100

## cockpit-machines 260

=== Makefile ===
--- 
+++ 
@@ -200,7 +200,7 @@
 # checkout Cockpit's PF/React/build library; again this has no API stability guarantee, so check out a stable tag
 $(LIB_TEST):
 	flock Makefile sh -ec '\
-	    git fetch --depth=1 https://github.com/cockpit-project/cockpit.git 257; \
+	    git fetch --depth=1 https://github.com/cockpit-project/cockpit.git 260; \
 	    git checkout --force FETCH_HEAD -- pkg/lib; \
 	    git reset -- pkg/lib'
 	mv pkg/lib src/ && rmdir -p pkg

=== debian/changelog ===
cockpit-machines (260-1~bpo21.10.1) impish-backports; urgency=medium

  * No-change backport to impish

 -- Martin Pitt <mpitt@debian.org>  Sun, 30 Jan 2022 09:13:46 +0100

cockpit-machines (260-1) unstable; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Tue, 25 Jan 2022 08:42:47 +0100

## cockpit-machines 261

=== Makefile ===
--- 
+++ 
@@ -3,12 +3,12 @@
 RPM_NAME := cockpit-$(PACKAGE_NAME)
 VERSION := $(shell T=$$(git describe 2>/dev/null) || T=1; echo $$T | tr '-' '.')
 ifeq ($(TEST_OS),)
-TEST_OS = fedora-34
+TEST_OS = fedora-35
 endif
 export TEST_OS
 TARFILE=cockpit-$(PACKAGE_NAME)-$(VERSION).tar.xz
 NODE_CACHE=cockpit-$(PACKAGE_NAME)-node-$(VERSION).tar.xz
-RPMFILE=$(shell rpmspec -D"VERSION $(VERSION)" -q `ls cockpit-machines.spec.in cockpit-machines.spec 2>/dev/null | head -n1`).rpm
+SPEC=$(RPM_NAME).spec
 VM_IMAGE=$(CURDIR)/test/images/$(TEST_OS)
 # stamp file to check if/when npm install ran
 NODE_MODULES_TEST=node_modules/.bin/webpack
@@ -73,8 +73,14 @@
 # Build/Install/dist
 #
 
-%.spec: %.spec.in
+%.spec: packaging/%.spec.in
 	sed -e 's/%{VERSION}/$(VERSION)/g' $< > $@
+
+packaging/arch/PKGBUILD: packaging/arch/PKGBUILD.in
+	sed 's/VERSION/$(VERSION)/; s/SOURCE/$(TARFILE)/' $< > $@
+
+packaging/debian/changelog: packaging/debian/changelog.in
+	sed 's/VERSION/$(VERSION)/' $< > $@
 
 $(WEBPACK_TEST): $(LIB_TEST) $(shell find src/ -type f) package.json webpack.config.js
 	test/download-dist $${DOWNLOAD_DIST_OPTIONS:-} || \
@@ -89,7 +95,7 @@
 
 clean:
 	rm -rf dist/
-	[ ! -e $(RPM_NAME).spec.in ] || rm -f $(RPM_NAME).spec
+	rm -f $(SPEC) packaging/arch/PKGBUILD packaging/debian/changelog
 
 install: $(WEBPACK_TEST)
 	mkdir -p $(DESTDIR)/usr/share/cockpit/$(PACKAGE_NAME)
@@ -110,26 +116,18 @@
 # pre-built dist/ (so it's not necessary) and ship package-lock.json (so that
 # node_modules/ can be reconstructed if necessary)
 $(TARFILE): export NODE_ENV=production
-$(TARFILE): $(WEBPACK_TEST) $(RPM_NAME).spec
+$(TARFILE): $(WEBPACK_TEST) $(SPEC) packaging/arch/PKGBUILD packaging/debian/changelog
 	tar --xz -cf $(TARFILE) --transform 's,^,cockpit-$(PACKAGE_NAME)/,' \
-		--exclude $(RPM_NAME).spec.in \
-		--exclude test/reference \
-		$$(git ls-files) src/lib/ package-lock.json $(RPM_NAME).spec dist/; \
+		--exclude '*.in' --exclude test/reference \
+		$$(git ls-files) src/lib/ package-lock.json $(SPEC) packaging/arch/PKGBUILD packaging/debian/changelog dist/
 
 $(NODE_CACHE): $(NODE_MODULES_TEST)
 	tar --xz -cf $@ node_modules
 
 node-cache: $(NODE_CACHE)
 
-srpm: $(TARFILE) $(RPM_NAME).spec
-	rpmbuild -bs \
-	  --define "_sourcedir `pwd`" \
-	  --define "_srcrpmdir `pwd`" \
-	  $(RPM_NAME).spec
-
-rpm: $(RPMFILE)
-
-$(RPMFILE): $(TARFILE) $(RPM_NAME).spec
+# convenience target for developers
+rpm: $(TARFILE) $(SPEC)
 	mkdir -p "`pwd`/output"
 	mkdir -p "`pwd`/rpmbuild"
 	rpmbuild -bb \
@@ -139,31 +137,14 @@
 	  --define "_srcrpmdir `pwd`" \
 	  --define "_rpmdir `pwd`/output" \
 	  --define "_buildrootdir `pwd`/build" \
-	  $(RPM_NAME).spec
+	  $(SPEC)
 	find `pwd`/output -name '*.rpm' -printf '%f\n' -exec mv {} . \;
 	rm -r "`pwd`/rpmbuild"
 	rm -r "`pwd`/output" "`pwd`/build"
-	# sanity check
-	test -e "$(RPMFILE)"
 
-# determine what to depend on and do for Fedora/RHEL/Debian VM preparation
-ifneq ($(filter debian-% ubuntu-%,$(TEST_OS)),)
-VM_DEP=$(TARFILE) packaging/debian/rules packaging/debian/control
-VM_PACKAGE=--no-network --upload `pwd`/$(TARFILE):/var/tmp/ --upload `pwd`/packaging/debian:/var/tmp/
-else
-ifneq ($(filter arch,$(TEST_OS)),)
-VM_DEP=$(TARFILE) packaging/arch/PKGBUILD
-VM_PACKAGE=--upload `pwd`/$(TARFILE):/var/tmp/ --upload `pwd`/packaging/arch:/var/tmp/
-else
-VM_DEP=$(RPMFILE)
-VM_PACKAGE=--no-network --upload `pwd`/$(RPMFILE):/var/tmp/
-endif
-endif
-
-# build a VM with locally built rpm/dsc installed
-$(VM_IMAGE): $(VM_DEP) $(RPMFILE) bots
-	rm -f $(VM_IMAGE) $(VM_IMAGE).qcow2
-	bots/image-customize -v $(VM_PACKAGE) -s $(CURDIR)/test/vm.install $(TEST_OS)
+# build a VM with locally built distro pkgs installed
+$(VM_IMAGE): $(TARFILE) packaging/debian/rules packaging/debian/control packaging/arch/PKGBUILD bots
+	bots/image-customize --verbose --fresh --build $(TARFILE) --script $(CURDIR)/test/vm.install $(TEST_OS)
 
 # convenience target for the above
 vm: $(VM_IMAGE)
@@ -190,7 +171,7 @@
 # when you start a new project, use the latest release, and update it from time to time
 test/common:
 	flock Makefile sh -ec '\
-	    git fetch --depth=1 https://github.com/cockpit-project/cockpit.git 3fbaa50dc294f361b670e4206ee9006f9526687e; \
+	    git fetch --depth=1 https://github.com/cockpit-project/cockpit.git 262; \
 	    git checkout --force FETCH_HEAD -- test/common; \
 	    git reset test/common'
 
@@ -200,7 +181,7 @@
 # checkout Cockpit's PF/React/build library; again this has no API stability guarantee, so check out a stable tag
 $(LIB_TEST):
 	flock Makefile sh -ec '\
-	    git fetch --depth=1 https://github.com/cockpit-project/cockpit.git 260; \
+	    git fetch --depth=1 https://github.com/cockpit-project/cockpit.git 262; \
 	    git checkout --force FETCH_HEAD -- pkg/lib; \
 	    git reset -- pkg/lib'
 	mv pkg/lib src/ && rmdir -p pkg
@@ -212,4 +193,4 @@
 	env -u NODE_ENV npm install
 	env -u NODE_ENV npm prune
 
-.PHONY: all clean install devel-install dist node-cache srpm rpm check vm update-po
+.PHONY: all clean install devel-install dist node-cache rpm check vm update-po

=== debian/changelog ===
cockpit-machines (261-1) unstable; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Wed, 16 Feb 2022 16:50:54 +0100

## cockpit-machines 262

=== debian/changelog ===
cockpit-machines (262-1~bpo21.10.1) impish-backports; urgency=medium

  * No-change backport to impish

 -- Martin Pitt <mpitt@debian.org>  Tue, 01 Mar 2022 17:56:16 +0100

cockpit-machines (262-1) unstable; urgency=medium

  * New upstream bug fix release:
    - Fix broken VM deletion dialog layout
    - Translation updates

 -- Martin Pitt <mpitt@debian.org>  Fri, 25 Feb 2022 10:28:22 +0100

## cockpit-machines 263

=== debian/changelog ===
cockpit-machines (263-1~bpo21.10.1) impish-backports; urgency=medium

  * No-change backport to impish

 -- Martin Pitt <mpitt@debian.org>  Mon, 07 Mar 2022 22:26:17 +0100

cockpit-machines (263-1) unstable; urgency=medium

  * New upstream bug fix release:
    - Delete storage files also when the VM is shut off
    - Translation updates

 -- Martin Pitt <mpitt@debian.org>  Mon, 07 Mar 2022 06:45:51 +0100

## cockpit-machines 264

=== Makefile ===
--- 
+++ 
@@ -9,6 +9,7 @@
 TARFILE=cockpit-$(PACKAGE_NAME)-$(VERSION).tar.xz
 NODE_CACHE=cockpit-$(PACKAGE_NAME)-node-$(VERSION).tar.xz
 SPEC=$(RPM_NAME).spec
+APPSTREAMFILE=org.cockpit-project.$(PACKAGE_NAME).metainfo.xml
 VM_IMAGE=$(CURDIR)/test/images/$(TEST_OS)
 # stamp file to check if/when npm install ran
 NODE_MODULES_TEST=node_modules/.bin/webpack
@@ -32,8 +33,8 @@
 LINGUAS=$(basename $(notdir $(wildcard po/*.po)))
 
 po/$(PACKAGE_NAME).js.pot:
-	xgettext --default-domain=cockpit --output=$@ --language=C --keyword= \
-		--keyword=_:1,1t --keyword=_:1c,2,1t --keyword=C_:1c,2 \
+	xgettext --default-domain=$(PACKAGE_NAME) --output=$@ --language=C --keyword= \
+		--keyword=_:1,1t --keyword=_:1c,2,2t --keyword=C_:1c,2 \
 		--keyword=N_ --keyword=NC_:1c,2 \
 		--keyword=gettext:1,1t --keyword=gettext:1c,2,2t \
 		--keyword=ngettext:1,2,3t --keyword=ngettext:1c,2,3,4t \
@@ -46,8 +47,14 @@
 po/$(PACKAGE_NAME).manifest.pot: $(NODE_MODULES_TEST)
 	po/manifest2po src/manifest.json -o $@
 
-po/$(PACKAGE_NAME).pot: po/$(PACKAGE_NAME).html.pot po/$(PACKAGE_NAME).js.pot po/$(PACKAGE_NAME).manifest.pot
+po/$(PACKAGE_NAME).metainfo.pot: $(APPSTREAMFILE)
+	xgettext --default-domain=$(PACKAGE_NAME) --output=$@ $<
+
+po/$(PACKAGE_NAME).pot: po/$(PACKAGE_NAME).html.pot po/$(PACKAGE_NAME).js.pot po/$(PACKAGE_NAME).manifest.pot po/$(PACKAGE_NAME).metainfo.pot
 	msgcat --sort-output --output-file=$@ $^
+
+po/LINGUAS:
+	echo $(LINGUAS) | tr ' ' '\n' > $@
 
 # Update translations against current PO template
 update-po: po/$(PACKAGE_NAME).pot
@@ -96,12 +103,15 @@
 clean:
 	rm -rf dist/
 	rm -f $(SPEC) packaging/arch/PKGBUILD packaging/debian/changelog
-
-install: $(WEBPACK_TEST)
+	rm -f po/LINGUAS
+
+install: $(WEBPACK_TEST) po/LINGUAS
 	mkdir -p $(DESTDIR)/usr/share/cockpit/$(PACKAGE_NAME)
 	cp -r dist/* $(DESTDIR)/usr/share/cockpit/$(PACKAGE_NAME)
 	mkdir -p $(DESTDIR)/usr/share/metainfo/
-	cp org.cockpit-project.$(PACKAGE_NAME).metainfo.xml $(DESTDIR)/usr/share/metainfo/
+	msgfmt --xml -d po \
+		--template $(APPSTREAMFILE) \
+		-o $(DESTDIR)/usr/share/metainfo/$(APPSTREAMFILE)
 
 # this requires a built source tree and avoids having to install anything system-wide
 devel-install: $(WEBPACK_TEST)
@@ -142,9 +152,14 @@
 	rm -r "`pwd`/rpmbuild"
 	rm -r "`pwd`/output" "`pwd`/build"
 
+# rpms/debs can be built offline; arch can't yet
+ifeq ($(filter arch,$(TEST_OS)),)
+NETWORK=--no-network
+endif
+
 # build a VM with locally built distro pkgs installed
 $(VM_IMAGE): $(TARFILE) packaging/debian/rules packaging/debian/control packaging/arch/PKGBUILD bots
-	bots/image-customize --verbose --fresh --build $(TARFILE) --script $(CURDIR)/test/vm.install $(TEST_OS)
+	bots/image-customize --verbose $(NETWORK) --fresh --build $(TARFILE) --script $(CURDIR)/test/vm.install $(TEST_OS)
 
 # convenience target for the above
 vm: $(VM_IMAGE)
@@ -171,7 +186,7 @@
 # when you start a new project, use the latest release, and update it from time to time
 test/common:
 	flock Makefile sh -ec '\
-	    git fetch --depth=1 https://github.com/cockpit-project/cockpit.git 262; \
+	    git fetch --depth=1 https://github.com/cockpit-project/cockpit.git d1a410cf9ccb33e983fbd38cad5a6fc95bc1c4b4; \
 	    git checkout --force FETCH_HEAD -- test/common; \
 	    git reset test/common'

=== debian/changelog ===
cockpit-machines (264-1~bpo11+1) bullseye-backports; urgency=medium

  * No-change backport to Debian Bullseye

 -- Martin Pitt <mpitt@debian.org>  Sun, 27 Mar 2022 08:20:41 +0200

cockpit-machines (264-1) unstable; urgency=medium

  * New upstream release:
    - Disk serial number
    - Multiple fixes for host device attachment

 -- Martin Pitt <mpitt@debian.org>  Tue, 22 Mar 2022 06:17:56 +0100

## cockpit-machines 265

=== Makefile ===
--- 
+++ 
@@ -152,14 +152,9 @@
 	rm -r "`pwd`/rpmbuild"
 	rm -r "`pwd`/output" "`pwd`/build"
 
-# rpms/debs can be built offline; arch can't yet
-ifeq ($(filter arch,$(TEST_OS)),)
-NETWORK=--no-network
-endif
-
 # build a VM with locally built distro pkgs installed
 $(VM_IMAGE): $(TARFILE) packaging/debian/rules packaging/debian/control packaging/arch/PKGBUILD bots
-	bots/image-customize --verbose $(NETWORK) --fresh --build $(TARFILE) --script $(CURDIR)/test/vm.install $(TEST_OS)
+	bots/image-customize --verbose --no-network --fresh --build $(TARFILE) --script $(CURDIR)/test/vm.install $(TEST_OS)
 
 # convenience target for the above
 vm: $(VM_IMAGE)

=== debian/changelog ===
cockpit-machines (265-1~bpo20.04.1) focal-backports; urgency=medium

  * No-change backport to focal

 -- Martin Pitt <mpitt@debian.org>  Wed, 06 Apr 2022 07:18:49 +0200

cockpit-machines (265-1) unstable; urgency=medium

  * New upstream release:
    - Translation updates
    - Tests robustification

 -- Martin Pitt <mpitt@debian.org>  Wed, 30 Mar 2022 17:08:25 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,8 @@
 Uploaders: Michael Biebl <biebl@debian.org>,
            Martin Pitt <mpitt@debian.org>,
 Build-Depends: debhelper-compat (= 12),
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
+Rules-Requires-Root: no
 Homepage: https://github.com/cockpit-project/cockpit-machines
 Vcs-Git: https://salsa.debian.org/debian/cockpit-machines.git
 Vcs-Browser: https://salsa.debian.org/debian/cockpit-machines

## cockpit-machines 266

=== Makefile ===
--- 
+++ 
@@ -22,8 +22,6 @@
 WEBLATE_REPO_URL=https://github.com/cockpit-project/cockpit-machines-weblate.git
 WEBLATE_REPO_BRANCH=main
 
-PYTHONFILES=$(shell git grep -lI '^#!.*python') $(shell git ls-tree -r --name-only HEAD | grep '\.py')
-
 all: $(WEBPACK_TEST)
 
 #
@@ -154,16 +152,14 @@
 
 # build a VM with locally built distro pkgs installed
 $(VM_IMAGE): $(TARFILE) packaging/debian/rules packaging/debian/control packaging/arch/PKGBUILD bots
-	bots/image-customize --verbose --no-network --fresh --build $(TARFILE) --script $(CURDIR)/test/vm.install $(TEST_OS)
+	bots/image-customize --no-network --fresh --build $(TARFILE) --script $(CURDIR)/test/vm.install $(TEST_OS)
 
 # convenience target for the above
 vm: $(VM_IMAGE)
 	echo $(VM_IMAGE)
 
-# run static code checks for python code
 codecheck:
-	python3 -m pyflakes $(PYTHONFILES)
-	python3 -m pycodestyle --max-line-length=195 $(PYTHONFILES) # TODO: Fix long lines
+	test/static-code
 
 # run the browser integration tests; skip check for SELinux denials
 check: $(NODE_MODULES_TEST) $(VM_IMAGE) test/common test/reference

## cockpit-machines 268

=== Makefile ===
# extract name from package.json
PACKAGE_NAME := $(shell awk '/"name":/ {gsub(/[",]/, "", $$2); print $$2}' package.json)
RPM_NAME := cockpit-$(PACKAGE_NAME)
VERSION := $(shell T=$$(git describe 2>/dev/null) || T=1; echo $$T | tr '-' '.')
ifeq ($(TEST_OS),)
TEST_OS = fedora-35
endif
export TEST_OS
TARFILE=cockpit-$(PACKAGE_NAME)-$(VERSION).tar.xz
NODE_CACHE=cockpit-$(PACKAGE_NAME)-node-$(VERSION).tar.xz
SPEC=$(RPM_NAME).spec
APPSTREAMFILE=org.cockpit-project.$(PACKAGE_NAME).metainfo.xml
VM_IMAGE=$(CURDIR)/test/images/$(TEST_OS)
# stamp file to check if/when npm install ran
# one example file in dist/ from webpack to check if that already ran
WEBPACK_TEST=dist/manifest.json
# one example file in pkg/lib to check if it was already checked out
COCKPIT_REPO_STAMP = pkg/lib/cockpit.js

all: $(WEBPACK_TEST)

#
# i18n
#

LINGUAS=$(basename $(notdir $(wildcard po/*.po)))

po/$(PACKAGE_NAME).js.pot:
	xgettext --default-domain=$(PACKAGE_NAME) --output=$@ --language=C --keyword= \
		--keyword=_:1,1t --keyword=_:1c,2,2t --keyword=C_:1c,2 \
		--keyword=N_ --keyword=NC_:1c,2 \
		--keyword=gettext:1,1t --keyword=gettext:1c,2,2t \
		--keyword=ngettext:1,2,3t --keyword=ngettext:1c,2,3,4t \
		--keyword=gettextCatalog.getString:1,3c --keyword=gettextCatalog.getPlural:2,3,4c \
		--from-code=UTF-8 $$(find src/ -name '*.js' -o -name '*.jsx')

po/$(PACKAGE_NAME).html.pot: package-lock.json $(COCKPIT_REPO_STAMP)
	pkg/lib/html2po -o $@ $$(find src -name '*.html')

po/$(PACKAGE_NAME).manifest.pot: package-lock.json $(COCKPIT_REPO_STAMP)
	pkg/lib/manifest2po src/manifest.json -o $@

po/$(PACKAGE_NAME).metainfo.pot: $(APPSTREAMFILE)
	xgettext --default-domain=$(PACKAGE_NAME) --output=$@ $<

po/$(PACKAGE_NAME).pot: po/$(PACKAGE_NAME).html.pot po/$(PACKAGE_NAME).js.pot po/$(PACKAGE_NAME).manifest.pot po/$(PACKAGE_NAME).metainfo.pot
	msgcat --sort-output --output-file=$@ $^

po/LINGUAS:
	echo $(LINGUAS) | tr ' ' '\n' > $@

#
# Build/Install/dist
#

%.spec: packaging/%.spec.in
	sed -e 's/%{VERSION}/$(VERSION)/g' $< > $@

packaging/arch/PKGBUILD: packaging/arch/PKGBUILD.in
	sed 's/VERSION/$(VERSION)/; s/SOURCE/$(TARFILE)/' $< > $@

packaging/debian/changelog: packaging/debian/changelog.in
	sed 's/VERSION/$(VERSION)/' $< > $@

$(WEBPACK_TEST): $(COCKPIT_REPO_STAMP) $(shell find src/ -type f) package.json webpack.config.js
	test/download-dist $${DOWNLOAD_DIST_OPTIONS:-} || \
	    if [ -z "$$FORCE_DOWNLOAD_DIST" ]; then \
		($(MAKE) package-lock.json && NODE_ENV=$(NODE_ENV) node_modules/.bin/webpack); \
	    else \
		exit 1; \
	    fi

watch:
	NODE_ENV=$(NODE_ENV) node_modules/.bin/webpack --watch

clean:
	rm -rf dist/
	rm -f $(SPEC) packaging/arch/PKGBUILD packaging/debian/changelog
	rm -f po/LINGUAS

install: $(WEBPACK_TEST) po/LINGUAS
	mkdir -p $(DESTDIR)/usr/share/cockpit/$(PACKAGE_NAME)
	cp -r dist/* $(DESTDIR)/usr/share/cockpit/$(PACKAGE_NAME)
	mkdir -p $(DESTDIR)/usr/share/metainfo/
	msgfmt --xml -d po \
		--template $(APPSTREAMFILE) \
		-o $(DESTDIR)/usr/share/metainfo/$(APPSTREAMFILE)

# this requires a built source tree and avoids having to install anything system-wide
devel-install: $(WEBPACK_TEST)
	mkdir -p ~/.local/share/cockpit
	ln -s `pwd`/dist ~/.local/share/cockpit/$(PACKAGE_NAME)

dist: $(TARFILE)
	@ls -1 $(TARFILE)

# when building a distribution tarball, call webpack with a 'production' environment
# we don't ship node_modules for license and compactness reasons; we ship a
# pre-built dist/ (so it's not necessary) and ship package-lock.json (so that
# node_modules/ can be reconstructed if necessary)
$(TARFILE): export NODE_ENV=production
$(TARFILE): $(WEBPACK_TEST) $(SPEC) packaging/arch/PKGBUILD packaging/debian/changelog
	tar --xz -cf $(TARFILE) --transform 's,^,cockpit-$(PACKAGE_NAME)/,' \
		--exclude '*.in' --exclude test/reference \
		$$(git ls-files) pkg/lib/ package-lock.json $(SPEC) packaging/arch/PKGBUILD packaging/debian/changelog dist/

# convenience target for developers
rpm: $(TARFILE) $(SPEC)
	mkdir -p "`pwd`/output"
	mkdir -p "`pwd`/rpmbuild"
	rpmbuild -bb \
	  --define "_sourcedir `pwd`" \
	  --define "_specdir `pwd`" \
	  --define "_builddir `pwd`/rpmbuild" \
	  --define "_srcrpmdir `pwd`" \
	  --define "_rpmdir `pwd`/output" \
	  --define "_buildrootdir `pwd`/build" \
	  $(SPEC)
	find `pwd`/output -name '*.rpm' -printf '%f\n' -exec mv {} . \;
	rm -r "`pwd`/rpmbuild"
	rm -r "`pwd`/output" "`pwd`/build"

# build a VM with locally built distro pkgs installed
$(VM_IMAGE): $(TARFILE) packaging/debian/rules packaging/debian/control packaging/arch/PKGBUILD bots
	bots/image-customize --no-network --fresh --build $(TARFILE) --script $(CURDIR)/test/vm.install $(TEST_OS)

# convenience target for the above
vm: $(VM_IMAGE)
	echo $(VM_IMAGE)

codecheck: test/static-code
	test/static-code

# run the browser integration tests; skip check for SELinux denials
check: package-lock.json $(VM_IMAGE) test/common test/reference
	test/common/run-tests $(RUN_TESTS_OPTIONS)

bots: tools/make-bots
	tools/make-bots

test/reference: test/common
	test/common/pixel-tests pull

# We want tools/node-modules to run every time package-lock.json is requested
# See https://www.gnu.org/software/make/manual/html_node/Force-Targets.html
FORCE:
package-lock.json: FORCE tools/node-modules
	tools/node-modules make_package_lock_json

.PHONY: all clean install devel-install dist rpm check vm

# checkout common files from Cockpit repository required to build this project;
# this has no API stability guarantee, so check out a stable tag when you start
# a new project, use the latest release, and update it from time to time
COCKPIT_REPO_FILES = \
	pkg/lib \
	test/common \
	test/static-code \
	tools/git-utils.sh \
	tools/make-bots \
	tools/node-modules \
	$(NULL)

COCKPIT_REPO_URL = https://github.com/cockpit-project/cockpit.git
COCKPIT_REPO_COMMIT = b19b07757ecf874342a3b1152780fbeceadbed37 # 267 + PR#17268

$(COCKPIT_REPO_FILES): $(COCKPIT_REPO_STAMP)
COCKPIT_REPO_TREE = '$(strip $(COCKPIT_REPO_COMMIT))^{tree}'
$(COCKPIT_REPO_STAMP): Makefile
	@git rev-list --quiet --objects $(COCKPIT_REPO_TREE) -- 2>/dev/null || \
	    git fetch --no-tags --no-write-fetch-head --depth=1 $(COCKPIT_REPO_URL) $(COCKPIT_REPO_COMMIT)
	git archive $(COCKPIT_REPO_TREE) -- $(COCKPIT_REPO_FILES) | tar x

=== debian/changelog ===
cockpit-machines (268-1) unstable; urgency=medium

  * New upstream release:
    - Provide default name for new VMs

 -- Martin Pitt <mpitt@debian.org>  Thu, 12 May 2022 16:46:58 +0200

cockpit-machines (266-1) unstable; urgency=medium

  * New upstream release:
    - Redesign VM creation
    - Remove static hosts from virtual network's DHCP

 -- Martin Pitt <mpitt@debian.org>  Wed, 13 Apr 2022 09:45:53 +0200

## cockpit-machines 270.1

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 RPM_NAME := cockpit-$(PACKAGE_NAME)
 VERSION := $(shell T=$$(git describe 2>/dev/null) || T=1; echo $$T | tr '-' '.')
 ifeq ($(TEST_OS),)
-TEST_OS = fedora-35
+TEST_OS = fedora-36
 endif
 export TEST_OS
 TARFILE=cockpit-$(PACKAGE_NAME)-$(VERSION).tar.xz
@@ -11,13 +11,34 @@
 SPEC=$(RPM_NAME).spec
 APPSTREAMFILE=org.cockpit-project.$(PACKAGE_NAME).metainfo.xml
 VM_IMAGE=$(CURDIR)/test/images/$(TEST_OS)
-# stamp file to check if/when npm install ran
 # one example file in dist/ from webpack to check if that already ran
 WEBPACK_TEST=dist/manifest.json
 # one example file in pkg/lib to check if it was already checked out
 COCKPIT_REPO_STAMP = pkg/lib/cockpit.js
 
 all: $(WEBPACK_TEST)
+
+# checkout common files from Cockpit repository required to build this project;
+# this has no API stability guarantee, so check out a stable tag when you start
+# a new project, use the latest release, and update it from time to time
+COCKPIT_REPO_FILES = \
+	pkg/lib \
+	test/common \
+	test/static-code \
+	tools/git-utils.sh \
+	tools/make-bots \
+	tools/node-modules \
+	$(NULL)
+
+COCKPIT_REPO_URL = https://github.com/cockpit-project/cockpit.git
+COCKPIT_REPO_COMMIT = d2d8bc30bc5279b2acc3628616cfb9c4e18c7edd # 271
+
+$(COCKPIT_REPO_FILES): $(COCKPIT_REPO_STAMP)
+COCKPIT_REPO_TREE = '$(strip $(COCKPIT_REPO_COMMIT))^{tree}'
+$(COCKPIT_REPO_STAMP): Makefile
+	@git rev-list --quiet --objects $(COCKPIT_REPO_TREE) -- 2>/dev/null || \
+	    git fetch --no-tags --no-write-fetch-head --depth=1 $(COCKPIT_REPO_URL) $(COCKPIT_REPO_COMMIT)
+	git archive $(COCKPIT_REPO_TREE) -- $(COCKPIT_REPO_FILES) | tar x
 
 #
 # i18n
@@ -63,12 +84,7 @@
 	sed 's/VERSION/$(VERSION)/' $< > $@
 
 $(WEBPACK_TEST): $(COCKPIT_REPO_STAMP) $(shell find src/ -type f) package.json webpack.config.js
-	test/download-dist $${DOWNLOAD_DIST_OPTIONS:-} || \
-	    if [ -z "$$FORCE_DOWNLOAD_DIST" ]; then \
-		($(MAKE) package-lock.json && NODE_ENV=$(NODE_ENV) node_modules/.bin/webpack); \
-	    else \
-		exit 1; \
-	    fi
+	$(MAKE) package-lock.json && NODE_ENV=$(NODE_ENV) node_modules/.bin/webpack
 
 watch:
 	NODE_ENV=$(NODE_ENV) node_modules/.bin/webpack --watch
@@ -101,8 +117,8 @@
 $(TARFILE): export NODE_ENV=production
 $(TARFILE): $(WEBPACK_TEST) $(SPEC) packaging/arch/PKGBUILD packaging/debian/changelog
 	tar --xz -cf $(TARFILE) --transform 's,^,cockpit-$(PACKAGE_NAME)/,' \
-		--exclude '*.in' --exclude test/reference \
-		$$(git ls-files) pkg/lib/ package-lock.json $(SPEC) packaging/arch/PKGBUILD packaging/debian/changelog dist/
+		--exclude '*.in' --exclude test/reference --exclude node_modules \
+		$$(git ls-files) $(COCKPIT_REPO_FILES) package-lock.json $(SPEC) packaging/arch/PKGBUILD packaging/debian/changelog dist/
 
 # convenience target for developers
 rpm: $(TARFILE) $(SPEC)
@@ -148,25 +164,3 @@
 	tools/node-modules make_package_lock_json
 
 .PHONY: all clean install devel-install dist rpm check vm
-
-# checkout common files from Cockpit repository required to build this project;
-# this has no API stability guarantee, so check out a stable tag when you start
-# a new project, use the latest release, and update it from time to time
-COCKPIT_REPO_FILES = \
-	pkg/lib \
-	test/common \
-	test/static-code \
-	tools/git-utils.sh \
-	tools/make-bots \
-	tools/node-modules \
-	$(NULL)
-
-COCKPIT_REPO_URL = https://github.com/cockpit-project/cockpit.git
-COCKPIT_REPO_COMMIT = b19b07757ecf874342a3b1152780fbeceadbed37 # 267 + PR#17268
-
-$(COCKPIT_REPO_FILES): $(COCKPIT_REPO_STAMP)
-COCKPIT_REPO_TREE = '$(strip $(COCKPIT_REPO_COMMIT))^{tree}'
-$(COCKPIT_REPO_STAMP): Makefile
-	@git rev-list --quiet --objects $(COCKPIT_REPO_TREE) -- 2>/dev/null || \
-	    git fetch --no-tags --no-write-fetch-head --depth=1 $(COCKPIT_REPO_URL) $(COCKPIT_REPO_COMMIT)
-	git archive $(COCKPIT_REPO_TREE) -- $(COCKPIT_REPO_FILES) | tar x

=== debian/changelog ===
cockpit-machines (270.1-1) unstable; urgency=medium

  * New upstream release:
    - Redesign content removal dialogs

 -- Martin Pitt <mpitt@debian.org>  Thu, 09 Jun 2022 11:05:20 +0200

## cockpit-machines 271

=== debian/changelog ===
cockpit-machines (271-1~bpo22.04.1) jammy-backports; urgency=medium

  * No-change backport to jammy

 -- Martin Pitt <mpitt@debian.org>  Sun, 26 Jun 2022 07:30:54 +0200

cockpit-machines (271-1) unstable; urgency=medium

  * New upstream release:
    - Test fixes

 -- Martin Pitt <mpitt@debian.org>  Thu, 23 Jun 2022 13:35:10 +0200

## cockpit-machines 272

=== Makefile ===
--- 
+++ 
@@ -6,15 +6,19 @@
 TEST_OS = fedora-36
 endif
 export TEST_OS
-TARFILE=cockpit-$(PACKAGE_NAME)-$(VERSION).tar.xz
-NODE_CACHE=cockpit-$(PACKAGE_NAME)-node-$(VERSION).tar.xz
+TARFILE=$(RPM_NAME)-$(VERSION).tar.xz
+NODE_CACHE=$(RPM_NAME)-node-$(VERSION).tar.xz
 SPEC=$(RPM_NAME).spec
 APPSTREAMFILE=org.cockpit-project.$(PACKAGE_NAME).metainfo.xml
 VM_IMAGE=$(CURDIR)/test/images/$(TEST_OS)
+# stamp file to check for node_modules/
+NODE_MODULES_TEST=package-lock.json
 # one example file in dist/ from webpack to check if that already ran
 WEBPACK_TEST=dist/manifest.json
 # one example file in pkg/lib to check if it was already checked out
-COCKPIT_REPO_STAMP = pkg/lib/cockpit.js
+COCKPIT_REPO_STAMP=pkg/lib/cockpit-po-plugin.js
+# common arguments for tar, mostly to make the generated tarballs reproducible
+TAR_ARGS = --sort=name --mtime "@$(shell git show --no-patch --format='%at')" --mode=go=rX,u+rw,a-s --numeric-owner --owner=0 --group=0
 
 all: $(WEBPACK_TEST)
 
@@ -31,7 +35,7 @@
 	$(NULL)
 
 COCKPIT_REPO_URL = https://github.com/cockpit-project/cockpit.git
-COCKPIT_REPO_COMMIT = d2d8bc30bc5279b2acc3628616cfb9c4e18c7edd # 271
+COCKPIT_REPO_COMMIT = 4ac3051d86db4f9061e35ce0584b688b1c8115e4 # 272 + PR#17505
 
 $(COCKPIT_REPO_FILES): $(COCKPIT_REPO_STAMP)
 COCKPIT_REPO_TREE = '$(strip $(COCKPIT_REPO_COMMIT))^{tree}'
@@ -55,10 +59,10 @@
 		--keyword=gettextCatalog.getString:1,3c --keyword=gettextCatalog.getPlural:2,3,4c \
 		--from-code=UTF-8 $$(find src/ -name '*.js' -o -name '*.jsx')
 
-po/$(PACKAGE_NAME).html.pot: package-lock.json $(COCKPIT_REPO_STAMP)
+po/$(PACKAGE_NAME).html.pot: $(NODE_MODULES_TEST) $(COCKPIT_REPO_STAMP)
 	pkg/lib/html2po -o $@ $$(find src -name '*.html')
 
-po/$(PACKAGE_NAME).manifest.pot: package-lock.json $(COCKPIT_REPO_STAMP)
+po/$(PACKAGE_NAME).manifest.pot: $(NODE_MODULES_TEST) $(COCKPIT_REPO_STAMP)
 	pkg/lib/manifest2po src/manifest.json -o $@
 
 po/$(PACKAGE_NAME).metainfo.pot: $(APPSTREAMFILE)
@@ -107,6 +111,14 @@
 	mkdir -p ~/.local/share/cockpit
 	ln -s `pwd`/dist ~/.local/share/cockpit/$(PACKAGE_NAME)
 
+# assumes that there was symlink set up using the above devel-install target,
+# and removes it
+devel-uninstall:
+	rm -f ~/.local/share/cockpit/$(PACKAGE_NAME)
+
+print-version:
+	@echo "$(VERSION)"
+
 dist: $(TARFILE)
 	@ls -1 $(TARFILE)
 
@@ -116,9 +128,10 @@
 # node_modules/ can be reconstructed if necessary)
 $(TARFILE): export NODE_ENV=production
 $(TARFILE): $(WEBPACK_TEST) $(SPEC) packaging/arch/PKGBUILD packaging/debian/changelog
-	tar --xz -cf $(TARFILE) --transform 's,^,cockpit-$(PACKAGE_NAME)/,' \
+	if type appstream-util >/dev/null 2>&1; then appstream-util validate-relax --nonet *.metainfo.xml; fi
+	tar --xz $(TAR_ARGS) -cf $(TARFILE) --transform 's,^,$(RPM_NAME)/,' \
 		--exclude '*.in' --exclude test/reference --exclude node_modules \
-		$$(git ls-files) $(COCKPIT_REPO_FILES) package-lock.json $(SPEC) packaging/arch/PKGBUILD packaging/debian/changelog dist/
+		$$(git ls-files) $(COCKPIT_REPO_FILES) $(NODE_MODULES_TEST) $(SPEC) packaging/arch/PKGBUILD packaging/debian/changelog dist/
 
 # convenience target for developers
 rpm: $(TARFILE) $(SPEC)
@@ -142,14 +155,23 @@
 
 # convenience target for the above
 vm: $(VM_IMAGE)
-	echo $(VM_IMAGE)
+	@echo $(VM_IMAGE)
+
+# convenience target to print the filename of the test image
+print-vm:
+	@echo $(VM_IMAGE)
 
 codecheck: test/static-code
 	test/static-code
 
-# run the browser integration tests; skip check for SELinux denials
-check: package-lock.json $(VM_IMAGE) test/common test/reference
-	test/common/run-tests $(RUN_TESTS_OPTIONS)
+# convenience target to setup all the bits needed for the integration tests
+# without actually running them
+prepare-check: $(NODE_MODULES_TEST) $(VM_IMAGE) test/common test/reference
+
+# run the browser integration tests
+# this will run all tests/check-* and format them as TAP
+check: prepare-check
+	test/common/run-tests ${RUN_TESTS_OPTIONS}
 
 bots: tools/make-bots
 	tools/make-bots
@@ -160,7 +182,7 @@
 # We want tools/node-modules to run every time package-lock.json is requested
 # See https://www.gnu.org/software/make/manual/html_node/Force-Targets.html
 FORCE:
-package-lock.json: FORCE tools/node-modules
+$(NODE_MODULES_TEST): FORCE tools/node-modules
 	tools/node-modules make_package_lock_json
 
-.PHONY: all clean install devel-install dist rpm check vm
+.PHONY: all clean install devel-install devel-uninstall print-version dist rpm prepare-check check vm print-vm

=== debian/changelog ===
cockpit-machines (272-1~bpo22.04.1) jammy-backports; urgency=medium

  * No-change backport to jammy

 -- Martin Pitt <mpitt@debian.org>  Mon, 25 Jul 2022 06:56:52 +0200

cockpit-machines (272-1) unstable; urgency=medium

  * New upstream release:
    - Download RHEL images

 -- Martin Pitt <mpitt@debian.org>  Wed, 20 Jul 2022 13:38:09 +0200

## cockpit-machines 274

=== debian/changelog ===
cockpit-machines (274-1~bpo11+1) bullseye-backports; urgency=medium

  * No-change backport to Debian Bullseye

 -- Martin Pitt <mpitt@debian.org>  Mon, 12 Sep 2022 09:01:45 +0200

cockpit-machines (274-1) unstable; urgency=medium

  * New upstream release:
    - Fix downloading of RHEL images

 -- Martin Pitt <mpitt@debian.org>  Wed, 07 Sep 2022 10:25:31 +0200

## cockpit-machines 275

=== debian/changelog ===
cockpit-machines (275-1~bpo22.04.1) jammy-backports; urgency=medium

  * No-change backport to jammy

 -- Martin Pitt <mpitt@debian.org>  Wed, 28 Sep 2022 07:07:55 +0200

cockpit-machines (275-1) unstable; urgency=medium

  * New upstream release:
    - Improvements of offline token management

 -- Martin Pitt <mpitt@debian.org>  Fri, 23 Sep 2022 06:45:08 +0200

## cockpit-machines 276

=== debian/changelog ===
cockpit-machines (276-1) unstable; urgency=medium

  * New upstream release:
    - Add connection information to the VM detail page

 -- Martin Pitt <mpitt@debian.org>  Sat, 29 Oct 2022 07:26:02 +0200
